%global git 2d32148
%global github GNOME-gnome-dvb-daemon
%global checkout git%{git}
%global checkout_date 20160917

Name:		gnome-dvb-daemon
Version:	0.2.91
Release:	0.7.%{checkout_date}%{checkout}%{?dist}
Summary:	Digital Television manager

Group:		Applications/Multimedia
License:	GPLv3+
URL:		https://wiki.gnome.org/Projects/DVBDaemon
#Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-dvb-daemon/0.2/%%{name}-%%{version}.tar.xz
Source0:	https://github.com/GNOME/%{name}/tarball/master/%{github}-%{git}.tar.gz
#Created pull-requests for the patches on github on 2016-09-18
Patch0:		%{name}-CONFIGURE_AC.patch
Patch1:		%{name}-DTV_SCAN_TABLES_I.patch
Patch2:		%{name}-DTV_SCAN_TABLES_II.patch

BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	vala

BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-rtsp-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gstreamer-mpegts-1.0)
# Daemon
BuildRequires:	dbus-glib-devel
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(gstreamer-rtsp-server-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	gstreamer1-plugins-good
# UI
BuildRequires:	dbus-python
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3-devel
# Plugin
%if 0%{?fedora} > 23
BuildRequires:	pkgconfig(grilo-0.3)
%endif
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)

Requires:	hicolor-icon-theme
Requires:	pygobject3
Requires:	gstreamer1-plugins-bad-free
# For initial tuning data
Requires:	dtv-scan-tables

%description
gnome-dvb-daemon contains a daemon responsible for handling Digital Television
adapters, including recording, listing programs schedules and scanning for
channels.

This package also contains a grilo plugin for the movie player and a plugin
for sharing recordings and live TV over UPNP using Rygel.

%prep
%setup -q -n %{github}-%{git}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
NOCONFIGURE=1 ./autogen.sh
%if 0%{?fedora} > 23
%configure --enable-grilo-plugin
%else
%configure --disable-grilo-plugin
%endif
make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/*.desktop

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_bindir}/*
%{python3_sitelib}/*
%{_datadir}/dbus-1/services/org.gnome.DVB.service
%{_datadir}/dbus-1/services/org.gnome.UPnP.MediaServer2.DVBDaemon.service

%if 0%{?fedora} > 23
%{_libdir}/grilo-0.3/
%exclude %{_libdir}/grilo-0.3/*.la
%endif
%{_datadir}/icons/hicolor/*/apps/*.*

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.91-0.7.20160917git2d32148
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.91-0.6.20160917git2d32148
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.91-0.5.20160917git2d32148
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.91-0.4.20160917git2d32148
- Rebuild for Python 3.6

* Sun Oct 02 2016 Jens Lody <fedora@jenslody.de> - 0.2.91-0.3.20160917git2d32148
- Use correct project url. Fixes rhbz #1380979.

* Sun Sep 18 2016 Jens Lody <fedora@jenslody.de> - 0.2.91-0.2.20160917git2d32148
- Build fix for F23, by removing grilo-plugin from F23-build (F23 still has grilo 0.2).

* Sun Sep 18 2016 Jens Lody <fedora@jenslody.de> - 0.2.91-0.1.20160917git2d32148
- Update to 0.2.91 pre-release snapshot.
- Fix configure.ac to enable/disable grilo-plugin.
- Fix to use dtv-scan-tables instead of dvb-apps.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.90-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Oct 24 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.90-4
- Fix FTBFS by actually updating deps for new release
- Use %%license
- Cleanup spec

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 14 2014 Richard Hughes <rhughes@redhat.com> - 0.2.90-1
- Update to 0.2.90

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 24 2012 Bastien Nocera <bnocera@redhat.com> 0.2.10-1
- Update to 0.2.10

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Richard Hughes <hughsient@gmail.com> - 0.2.9-1
- Update to 0.2.9

* Wed Mar 21 2012 Kalev Lember <kalevlember@gmail.com> 0.2.8-1
- Update to 0.2.8

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 12 2011 Bastien Nocera <bnocera@redhat.com> 0.2.7-1
- Update to 0.2.7

* Fri Dec 09 2011 Bastien Nocera <bnocera@redhat.com> 0.2.6-1
- Update to 0.2.6

* Wed Nov 09 2011 Adam Williamson <awilliam@redhat.com> 0.2.5-1
- adjust libgee buildrequire so it'll use the 0.6 one and fix build

* Tue Nov 01 2011 Bastien Nocera <bnocera@redhat.com>
- Update to 0.2.5

* Tue May 24 2011 Bastien Nocera <bnocera@redhat.com> 0.2.1-1
- Update to 0.2.1

* Mon May 16 2011 Bastien Nocera <bnocera@redhat.com> 0.2.0-1
- Update to 0.2.0

* Thu Apr 21 2011 Bastien Nocera <bnocera@redhat.com> 0.1.90-1
- Update to 0.1.90

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Bastien Nocera <bnocera@redhat.com> 0.1.23-1
- Update to 0.1.23

* Wed Oct 20 2010 Bastien Nocera <bnocera@redhat.com> 0.1.22-1
- Update to 0.1.22

* Tue Sep 07 2010 Bastien Nocera <bnocera@redhat.com> 0.1.21-1
- Update to 0.1.21

* Sat Jul 31 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.1.20-4
- Now the package is in, we re-enable the disabled bits

* Fri Jul 30 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.1.20-3
- Need to bootstrap against itself. Since totem requires this package, we
  disable the totem plugin for now.

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.20-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 22 2010 Bastien Nocera <bnocera@redhat.com> 0.1.20-1
- Update to 0.1.20

* Thu May 27 2010 Bastien Nocera <bnocera@redhat.com> 0.1.19-2
- Remove bizarre white spaces to be real ones

* Thu May 27 2010 Bastien Nocera <bnocera@redhat.com> 0.1.19-1
- Update to 0.1.19

* Thu May 27 2010 Bastien Nocera <bnocera@redhat.com> 0.1.18-1
- Update to 0.1.18

* Thu Mar 18 2010 Bastien Nocera <bnocera@redhat.com> 0.1.16-1
- Update to 0.1.16

* Tue Mar 09 2010 Bastien Nocera <bnocera@redhat.com> 0.1.15-1
- Update to 0.1.15

* Tue Mar 02 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-4
- Own the totem plugins directory as well

* Wed Feb 24 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-3
- Fix a few comments from the review

* Mon Feb 01 2010 Bastien Nocera <bnocera@redhat.com> 0.1.14-2
- Remove gstreamer-plugins-flumpegdemux requires

* Thu Dec 24 2009 Bastien Nocera <bnocera@redhat.com> 0.1.14-1
- Update to 0.1.14
- Add dvb-apps for initial tuning data

* Wed Dec 16 2009 Bastien Nocera <bnocera@redhat.com> 0.1.13-1
- Update to 0.1.13

* Thu Apr 30 2009 Bastien Nocera <bnocera@redhat.com> 0.1.5-1
- First package

